import React, { useState } from "react";
import Fetcher from "../Fetcher";
import { Container, Card, Row, Col, Button } from "react-bootstrap";

function OrderList() {
  const [orders, setOrders] = useState([]);
  const order_list = orders.map((o) => (
    <Card as={Col} sm={4}>
      <Card.Body>
        <Card.Title>{o.name}</Card.Title>
        <Card.Text>{o.description}</Card.Text>
        <Button href={"/order/" + o.ID}>Realizar pedido</Button>
      </Card.Body>
    </Card>
  ));
  return (
    <Container>
      <Fetcher url={"/api/order/active"} onFetch={setOrders}>
        <Row>{order_list}</Row>
      </Fetcher>
    </Container>
  );
}

export default OrderList;
